/*
 *  CreepyTypes.h
 *  CreepyGirl
 *
 *  Created by Curtis Jones on 2008.04.02.
 *  Copyright 2008 __MyCompanyName__. All rights reserved.
 *
 */

/**
 *
 *
 */
struct __TrackedObject
{
	int high;										// lowest row (near the top of the image)
	int low;										// highest row (near the bottom of the image)
	int left;										// lowest column (near the left of the image)
	int right;									// highest column (near the right of the image)
	
	int area;										// total area of object
	NSPoint center;							// approximate center of area
};
typedef struct __TrackedObject TrackedObject;

/**
 *
 *
 */
struct __CreepyPixel
{
	unsigned char object;				// 
	unsigned char mark;					// 
	unsigned char spacer1;			// 
	unsigned char spacer2;			// 
};
typedef struct __CreepyPixel CreepyPixel;

/**
 * This is the little-endian format of the pixel data in the bitmapped frame.
 * If we were to run this on a big-endian (ie, PPC) machine, the order of the
 * fields would need to be reversed.
 *
 */
struct __CreepyColor
{
	unsigned char a;						// alpha
	unsigned char b;						// blue
	unsigned char g;						// green
	unsigned char r;						// red
};
typedef struct __CreepyColor CreepyColor;
